# Get one captured webhook sample, with its payload

> Source: https://elaichi.ai/docs/api-reference/workflows/automation/getautomationwebhooksample/

`GET /automation/{id}/webhook/{triggerKey}/sample/{sampleId}`

Resource: **Workflow** · API: **Workflows**

## Path parameters

- **`id`** _(string, required)_
  Resource id
- **`triggerKey`** _(string, required)_
  Webhook trigger key within the workflow
- **`sampleId`** _(string, required)_
  Resource id

## Response body

- **`id`** _(string)_
- **`trigger_key`** _(string)_
- **`received_at`** _(string)_
- **`bytes`** _(integer)_
- **`verified`** _(boolean)_
- **`content_type`** _(string,null)_
- **`preview`** _(string)_
- **`payload`** _(object)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/sample/<sampleId>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/sample/<sampleId>', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/sample/<sampleId>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
